Bug 1056601 - Boot fails with "dracut-initqueue[201]: Warning: Could not boot" after fresh install
Summary: Boot fails with "dracut-initqueue[201]: Warning: Could not boot" after fresh ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 14:46 UTC by Vilius Šumskas
Modified: 2014-04-06 02:37 UTC (History)
2 users (show)

Fixed In Version: dracut-037-10.git20140402.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-06 02:37:37 UTC


Attachments (Terms of Use)
rdsosreport (57.56 KB, text/plain)
2014-01-22 14:46 UTC, Vilius Šumskas
no flags Details

Description Vilius Šumskas 2014-01-22 14:46:47 UTC
Created attachment 853900 [details]
rdsosreport

Description of problem:
I'm trying to install Fedora 20 on HP DL360 G2 server using Network Install CD. Server has fake RAID controller with a 80GB mirror configured. The installation completes successfully. However after the server reboots the boot process hangs on "dracut-initqueue[201]: Warning: Could not boot" and "Warning: /dev/mapper/lsi_biijdfedaea1 does not exist". I have tried multiple installation types: lvm, btrfs partitioning; minimal, desktop install. Nothing helps. What's strange is that booting into Rescue kernel everything works. I can see all server partitions including /boot one.

rdsosreport.txt attached.

Version-Release number of selected component (if applicable):
dracut-034-64.git20131205.fc20.1.i686

How reproducible:
Always

Steps to Reproduce:
1. Cleanly install the server with fake RAID.
2. Try to boot the server.

Actual results:
The server doesn't boot.

Expected results:
It should boot.

Additional info:
Probably related to https://bugzilla.redhat.com/show_bug.cgi?id=1040669 but initrd regeneration doesn't help at all.

Comment 1 Vilius Šumskas 2014-01-22 14:57:20 UTC
Not sure if this would help but:

[]# lsinitrd --kver 0-rescue-3f4d3a3eb2e74ef7a718c017485bc0f3 |grep thin_
-rwxr-xr-x   1 root     root       387784 Jan 22 12:52 usr/sbin/thin_check
-rwxr-xr-x   1 root     root      2190220 Jan 22 12:52 usr/sbin/thin_dump
-rwxr-xr-x   1 root     root      2190120 Jan 22 12:52 usr/sbin/thin_repair
-rwxr-xr-x   1 root     root      2190204 Jan 22 12:52 usr/sbin/thin_restore
[]# lsinitrd --kver 3.12.8-300.fc20.i686+PAE |grep thin_
[]#

However I must note that I'm using standard LVM partitioning, not LVM Thin.

Comment 2 Vilius Šumskas 2014-01-22 16:20:56 UTC
A workaround:

1. Install Fedora 20.
2. Reboot, it will fail.
3. Boot Rescue kernel.
4. Install any other kernel from fc20 repository. It could be older or newer.
5. Boot into that installed kernel.
6. Remove originally during FC20 setup installed kernel and add it back (yum remove/yum install).
7. Boot the server normally.

I have confirmed this twice now. Seems like something is not installed or generated correctly from anaconda during install.

Comment 3 Fedora Update System 2014-04-02 08:57:23 UTC
dracut-037-10.git20140402.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dracut-037-10.git20140402.fc20

Comment 4 Fedora Update System 2014-04-03 04:03:48 UTC
Package dracut-037-10.git20140402.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dracut-037-10.git20140402.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4704/dracut-037-10.git20140402.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-04-06 02:37:37 UTC
dracut-037-10.git20140402.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.